Page MenuHomePhabricator

Center 'previous' and 'next' icon
Closed, ResolvedPublic

Description

Currently, as of v0.29.2, 'previous' and 'next' icon are not perfectly centered.
The issue that surfaced this was Revision-Slider

Interestingly though that's only slightly related and there's a misposition of the iconElement not taking into account left borders of ButtonElement.

BeforeAfter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 10:20 PM
Volker_E closed this task as Invalid.Oct 24 2018, 10:43 PM
Volker_E added a project: OOUI.

Not clearly reproducible. :/

Volker_E renamed this task from Center 'previous' and to Center 'previous' and 'next' icon.Oct 25 2018, 3:38 PM
Volker_E reopened this task as Open.
Volker_E triaged this task as Medium priority.
Volker_E added projects: WMDE-Design, Design.
Volker_E updated the task description. (Show Details)

Change 469647 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] demos: Use 'previous' icon for one of the ToggleButtonWidgets

https://gerrit.wikimedia.org/r/469647

Change 469648 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Visually center 'next' and 'previous' horizontally

https://gerrit.wikimedia.org/r/469648

Change 469651 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/RevisionSlider@master] Fix icon position of arrow buttons

https://gerrit.wikimedia.org/r/469651

Volker_E updated the task description. (Show Details)Oct 25 2018, 4:49 PM
Volker_E moved this task from Backlog to Reviewing on the OOUI board.Oct 25 2018, 10:44 PM

Change 469647 merged by jenkins-bot:
[oojs/ui@master] demos: Use 'previous' icon for one of the ToggleButtonWidgets

https://gerrit.wikimedia.org/r/469647

Change 469648 merged by jenkins-bot:
[oojs/ui@master] icons: Visually center 'next' and 'previous' horizontally

https://gerrit.wikimedia.org/r/469648

Volker_E closed this task as Resolved.Oct 29 2018, 2:14 AM
Volker_E claimed this task.
Volker_E moved this task from Reviewing to OOUI-0.29.3 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.29.3); removed OOUI.
Volker_E removed a project: Patch-For-Review.

Change 469651 merged by WMDE-Fisch:
[mediawiki/extensions/RevisionSlider@master] Fix icon position of arrow buttons

https://gerrit.wikimedia.org/r/469651

Change 470967 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.29.3

https://gerrit.wikimedia.org/r/470967

Change 470967 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.29.3

https://gerrit.wikimedia.org/r/470967